indexing
	description	: "Objects that ..."

	rcsfile		: "$RCSfile: erl_argument.e,v $"
	revision	: "$Revision: 1.2 $"

	author		: "$Author: fluribe $"
	date		: "$Date: 2004/05/28 13:44:30 $"

deferred class
	ERL_ARGUMENT

feature -- Access

	name: STRING is
			-- Name of this argument
		deferred
		end

	type: ERL_TYPE is
			-- Type of this argument
		deferred
		end

	position: INTEGER is
			-- Position of this argument in the argument list
			-- of its routine
		deferred
		end

-- commented out by aleitner, not needed for now
-- 	routine: ERL_ROUTINE is
-- 			-- Routine to which this argument belongs
-- 		deferred
-- 		end

invariant
	name_not_empty: name /= Void and then
					not name.is_empty
	valid_position: position > 0

end -- class ERL_ARGUMENT
