indexing
	description	: "Objects that ..."
	
	rcsfile		: "$RCSfile: erl_attribute.e,v $"
	revision	: "$Revision: 1.14 $"
	
	author		: "$Author: fluribe $"
	date		: "$Date: 2004/06/28 13:33:54 $"

deferred class
	ERL_ATTRIBUTE
	
inherit
	ERL_QUERY
		rename
			result_type as attribute_type
		end

feature -- Status report

	is_deferred: BOOLEAN is False
			-- Attributes are always effective

feature -- Element change

	replace (a_value: ANY) is
			-- Replace value of this attribute to `a_value'.
		require
			object_exists: is_object_set
			a_value_exists: a_value /= Void
			a_value_type_conforms_attribute_type: erl_type_conforming_to (a_value)
		deferred
		end

end -- class ATTRIBUTE
