indexing
	description	: "Objects that ..."

	rcsfile		: "$RCSfile: erl_constraint.e,v $"
	revision	: "$Revision: 1.5 $"

	author		: "$Author: fluribe $"
	date		: "$Date: 2004/06/25 15:12:10 $"

deferred class
	ERL_CONSTRAINT

feature -- Access

	class_bound: ERL_CLASS is
			-- Class to which this constraint is bound
		deferred
		end

	type_bound: ERL_TYPE is
			-- Type to which this constraint is bound
		deferred
		end

	creators: LIST [ERL_ROUTINE] is
			-- Creators allowed for this constraint
		deferred
		end

feature -- Status report

	has_creator_constraints: BOOLEAN is
			-- Has this contraint restricted creators?
		deferred
		end

	bound_is_type: BOOLEAN is
			-- Is bound a type?
		deferred
		end

invariant
	creators_exists: creators /= Void
	creator_constraints: has_creator_constraints implies
						 not creators.is_empty
	class_bound_exists: class_bound /= Void
	type_bound: (bound_is_type implies type_bound /= Void) and then
				class_bound = type_bound.base_class

end -- class ERL_CONSTRAINT
