indexing
	description	: "Objects that ..."

	rcsfile		: "$RCSfile: erl_procedure.e,v $"
	revision	: "$Revision: 1.9 $"

	author		: "$Author: fluribe $"
	date		: "$Date: 2004/06/28 13:33:54 $"

deferred class
	ERL_PROCEDURE

inherit
	ERL_ROUTINE
		rename
			routine as procedure
		redefine
			parents,
			effective_parent,
			procedure
		end

feature -- Access

	parents: LIST [ERL_PROCEDURE] is
			-- Procedure in parent class if redefined
		deferred
		end

	effective_parent: ERL_PROCEDURE is
			-- Effective procedures in one of the parent classes
			-- if inherited and redefined or renamed
		deferred
		end

feature -- Status report

	is_creator: BOOLEAN
			-- Is this procedure a creator?

feature {ERL_ROUTINE} -- Implementation

	routine: ROUTINE [ANY, TUPLE] is
		do
			Result := procedure
		end

feature {NONE} -- Implementation

	procedure: PROCEDURE [ANY, TUPLE]
			-- Interface to the real procedure

end -- class ERL_PROCEDURE
