indexing
	description	: "Objects that ..."

	rcsfile		: "$RCSfile: erl_argument_imp.e,v $"
	revision	: "$Revision: 1.1 $"

	author		: "$Author: fluribe $"
	date		: "$Date: 2004/06/02 15:15:53 $"

class
	ERL_ARGUMENT_IMP

inherit
	ERL_ARGUMENT

create
	make

feature {NONE} -- Initialization

	make (a_name: STRING; a_type: ERL_TYPE; a_position: INTEGER) is
			-- Initialize `Current'.
		require
			a_name_not_empty: a_name /= Void and then not a_name.is_empty
			a_type_exists: a_type /= Void
			a_position_positive: a_position > 0
		do
			name := a_name
			type := a_type
			position := a_position
		ensure
			name_set: name = a_name
			type_set: type = a_type
			position_set: position = a_position
		end

feature -- Access

	name: STRING
			-- See `{ERL_ARGUMENT}.name' for more details.

	type: ERL_TYPE
			-- See `{ERL_ARGUMENT}.type' for more details.

	position: INTEGER
			-- See `{ERL_ARGUMENT}.position' for more details.

end -- class ERL_ARGUMENT_IMP
