indexing
	description	: "Objects that ..."

	rcsfile		: "$RCSfile: erl_feature_imp.e,v $"
	revision	: "$Revision: 1.7 $"

	author		: "$Author: fluribe $"
	date		: "$Date: 2004/07/13 17:20:50 $"

deferred class
	ERL_FEATURE_IMP

inherit
	ERL_FEATURE

feature {NONE} -- Initialization

	make (a_names: like names;
			a_type: like type) is
			-- Initialize `Current'.
		require
			a_names_exists: a_names /= Void
			a_names_not_empty: not a_names.is_empty
			a_names_items_not_emtpy: names_not_empty (a_names)
			a_type_not_void: a_type /= Void
		do
			names := a_names
			type := a_type
			--| FIXME compiler / runtime support needed:
			--|	is_inherited :=
			--| is_renamed :=
			--| is_redefined :=
			--| is_obsolete :=
			--| is_frozen :=
			--| is_selected :=
		ensure
			names_set: names = a_names
		end

feature -- Access

	names: LIST [STRING]
			-- See `{ERL_FEATURE}.names' for more details.

	type: ERL_TYPE
			-- See `{ERL_FEATURE}.type' for more details.

feature -- Status report

	is_inherited: BOOLEAN
			-- Is this feature inherited?

	is_renamed: BOOLEAN
			-- Is this feature renamed?

	is_redefined: BOOLEAN
			-- Is this feature redefined?

	is_obsolete: BOOLEAN
			-- Is this feature obsolete?

	is_frozen: BOOLEAN
			-- Is this feature frozen?

	is_selected: BOOLEAN
			-- Is this feature selected?

end -- class ERL_FEATURE_IMP
