indexing
	description	: "Objects that ..."
	
	rcsfile		: "$RCSfile: erl_generics.e,v $"
	revision	: "$Revision: 1.4 $"
	
	author		: "$Author: fluribe $"
	date		: "$Date: 2004/05/28 13:44:31 $"

deferred class
	ERL_GENERIC

feature -- Access

	name: STRING is
			-- Formal generic parameter
		deferred
		end
	
	constraints: LIST [ERL_CONSTRAINT] is
			-- Generic constraints of this generic parameter
		deferred	
		end		

feature -- Status report

	has_constraints: BOOLEAN is
			-- Has this class generic constraints?
		deferred
		end

feature {NONE} -- Implementation

invariant
	name_not_empty: name /= Void and then
					not name.is_empty
	constraints_exist: constraints /= Void
	generic_constraints: has_constraints implies
						 not constraints.is_empty

end -- class ERL_GENERICS
