indexing
	description	: "Objects that ..."

	rcsfile		: "$RCSfile: erl_query.e,v $"
	revision	: "$Revision: 1.10 $"

	author		: "$Author: fluribe $"
	date		: "$Date: 2004/06/28 13:33:54 $"

deferred class
	ERL_QUERY

inherit
	ERL_FEATURE
		redefine
			parents,
			effective_parent
		end

feature -- Access

	result_type: ERL_TYPE is
			-- Type of this attribute
		deferred
		end

	item: ANY is
			-- Value of this attribute
		deferred
		ensure
			result_type_conforms_result_type: erl_type_conforming_to (Result)
		end

	parents: LIST [ERL_QUERY] is
			-- Query in parent class if redefined
		deferred
		end

	effective_parent: ERL_QUERY is
			-- Effective query in one of the parent classes
			-- if inherited and redefined or renamed
		deferred
		end

end -- class ERL_QUERY
