indexing
	description	: "Objects that ..."

	rcsfile		: "$RCSfile: erl_type_imp.e,v $"
	revision	: "$Revision: 1.17 $"

	author		: "$Author: fluribe $"
	date		: "$Date: 2004/07/13 17:20:50 $"

class
	ERL_FOO_TYPE_IMP

inherit

	ERL_TYPE_IMP

create

	make

feature {NONE} -- Initialization

	create_internal_features is
		local
			names: LINKED_SET [STRING]
			proc: ERL_PROCEDURE_IMP
		do
			create {LINKED_SET [ERL_FEATURE]} internal_features.make
			create names.make
			names.put ("show")
			--create proc.make (names, main_feature_clause)
			--proc.set_procedure (agent {FOO}.show)
			internal_features.extend (proc)

			create names.make
			names.put ("set_i")
			--create proc.make (names, main_feature_clause)
			--proc.set_procedure (agent {FOO}.set_i)
			proc.set_precondition_function (agent precondition_set_i)
			internal_features.extend (proc)
		end

feature -- Access

	name: STRING is "FOO"

	base_class: ERL_CLASS is
			-- See `{ERL_TYPE}.base_class' for more details.
		once
			create {ERL_CLASS_IMP} Result.make ("FOO", False)
		end

	creation_functions: SUBSET [ERL_FUNCTION] is
		local
			names: LINKED_SET [STRING]
			func: ERL_FUNCTION_IMP
		once
			create {LINKED_SET [ERL_FUNCTION]} Result.make
			create names.make
			names.put ("make")
			--create func.make (names, creation_function_feature_clause)
			func.set_function (agent creation_function_make)
			Result.extend (func)

			create names.make
			names.put ("make_with_i")
			--create func.make (names, creation_function_feature_clause)
			func.set_function (agent creation_function_make_with_i)
			Result.extend (func)
		end

	actual_generics: LIST [ERL_TYPE] is
		once
			create {LINKED_LIST [ERL_TYPE]} Result.make
		end

feature -- Status Report

	is_deferred: BOOLEAN is False

	is_expanded: BOOLEAN is False

	is_obsolete: BOOLEAN is False

	is_basic_type: BOOLEAN is False

feature {NONE} -- Creation procedure wrapper

	creation_function_make (dummy: ANY): FOO is
		do
			--create Result.make
		end

	creation_function_make_with_i (dummy: ANY; an_i: INTEGER): FOO is
		do
			--create Result.make_with_i (an_i)
		end

feature {NONE} -- Precondition wrapper

	precondition_set_i (an_object: FOO; value: INTEGER): BOOLEAN is
		do
			Result := value >= 0
		end

end
