indexing
	description	: "Objects that ..."

	rcsfile		: "$RCSfile: erl_procedure_imp.e,v $"
	revision	: "$Revision: 1.6 $"

	author		: "$Author: fluribe $"
	date		: "$Date: 2004/07/13 17:20:50 $"

class
	ERL_PROCEDURE_IMP

inherit
	ERL_PROCEDURE
		undefine
			precondition
		select
			procedure
		end

	ERL_ROUTINE_IMP
		rename
			make as make_routine_imp
		end

create
	make

feature {NONE} -- Initialize

	make (a_names: like names;
			a_type: like type
			a_procedure: like procedure;
			a_formal_arguments: like formal_arguments) is
			-- Initialize `Current'.
		require
			a_names_exists: a_names /= Void
			a_names_not_empty: not a_names.is_empty
			a_names_items_not_emtpy: names_not_empty (a_names)
			a_type_not_void: a_type /= Void
			a_procedure_not_void: a_procedure /= Void
			a_formal_arguments_not_void: a_formal_arguments /= Void
		do
			make_routine_imp (a_names, a_type)
			procedure := a_procedure
			formal_arguments := a_formal_arguments
			--| FIXME
			--| is_creator :=
		ensure then
			names_set: names = a_names
			type_set: type = a_type
			procedure_set: procedure = a_procedure
			formal_arguments_set: formal_arguments = a_formal_arguments
		end

feature -- Access

	parents: LIST [ERL_PROCEDURE] is
			-- See `{ERL_PROCEDURE}.parents' for more details.
		do
			--| FIXME compiler / runtime support needed.
			create {ARRAYED_LIST [ERL_PROCEDURE]} Result.make (1)
		end

	effective_parent: ERL_PROCEDURE is
			-- See `{ERL_PROCEDURE}.effective_parent' for more details.
		do
			--| FIXME compiler / runtime support needed.
		end

	set_procedure (p: PROCEDURE [ANY, TUPLE]) is
			--
		do
			procedure := p
		end

end -- class ERL_PROCEDURE_IMP
