indexing
	description	: "Objects that ..."

	rcsfile		: "$RCSfile: erl_type_imp.e,v $"
	revision	: "$Revision: 1.17 $"

	author		: "$Author: fluribe $"
	date		: "$Date: 2004/07/13 17:20:50 $"


deferred class
	ERL_TYPE_IMP

inherit

	ERL_TYPE
		redefine
			features,
			creation_functions
		end

feature {NONE} -- Initialization

	make is
			-- Initialize `Current'.
		do
		end

feature -- Access

	parents: LIST [ERL_TYPE] is
			-- See `{ERL_TYPE}.parents' for more details.
		once
			create {ARRAYED_LIST [ERL_TYPE]} Result.make (1)
			-- TODO: Replace ERL_TYPE_IMP with ERL_ANY_TYPE_IMP
			-- Result.extend (create {ERL_TYPE_IMP}.make (create {ANY}))
		end

	invariants (an_object: ANY): BOOLEAN is
		do
			-- TODO:
			Result := True
				check
					todo: False
				end
		end

	lookup_binding (a_feature: ERL_FEATURE): ERL_FEATURE is
		do
			-- TODO:
				check
					todo: False
				end
		end

	features: ARRAYED_LIST [ERL_FEATURE] is
		deferred
		end

	creation_functions: ARRAYED_LIST [ERL_FUNCTION] is
		deferred
		end

	feature_by_index (an_index: INTEGER): ERL_FEATURE is
		do
			Result := features.i_th (an_index)
		end

	creation_function_by_index (an_index: INTEGER): ERL_FUNCTION is
		do
			Result := creation_functions.i_th (an_index)
		end

	actual_generics: LIST [ERL_TYPE] is
			-- Actual generic parameters of this type
		do
				check
					todo: False
				end
		end

feature -- Status Report

	erl_conforms_to (other: ERL_TYPE): BOOLEAN is
		do
			-- TODO:
				check
					todo: False
				end
		end

	has_actual_generics: BOOLEAN is
		do
			Result := name.fuzzy_index ("[", 1, 0) > 0
		end

feature {NONE} -- Implementation

	any_class: ERL_CLASS_IMP is
		once
			create Result.make ("ANY", False)
		ensure
			any_class_not_void: Result /= Void
		end

end
